%define 	modulename pam_mysql
%define		subver	RC1
%define		rel		4
Summary:	PAM module for auth UNIX users using MySQL data base
Summary(pl.UTF-8):	moduł PAM uwierzytelniający użytkowników Linuksa poprzez bazę danych MySQL
Name:		pam-%{modulename}
Version:	0.7
Release:	0.%{subver}.%{rel}
Epoch:		0
License:	GPL
Group:		Base
Source0:	http://dl.sourceforge.net/pam-mysql/%{modulename}-%{version}%{subver}.tar.gz
# Source0-md5:	6177183d7e98dc12f2e444c9fbd4f13c
Patch0:		ac.patch
URL:		http://sourceforge.net/projects/pam-mysql/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Obsoletes:	pam_mysql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	/%{_lib}

%description
Pam_mysql aims to provide a backend neutral means of authenticating
users against an MySQL database.

%description -l pl.UTF-8
Moduł PAM pozwalający na uwierzytelnianie użytkowników Linuksa poprzez
bazę danych MySQL.

%prep
%setup -q -n %{modulename}-%{version}%{subver}
%patch0 -p1
%{__sed} -i -e 's/sinclude(.*)//' configure.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-mysql=/usr/bin/mysql_config
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install	\
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/security/pam_mysql.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS ChangeLog INSTALL NEWS README
%attr(755,root,root) %{_libdir}/security/pam_mysql.so
%changelog
* Tue Mar 06 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pam-pam_mysql.git;a=log;h=master

* Tue Mar 06 2018 Jan Rękorajski <baggins@pld-linux.org> 5a640ee
- rebuild with mysql 5.7
- release 4 (by relup.sh)

* Thu Mar 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ffa12a
- release 3

* Sun Aug 30 2009 Elan Ruusamäe <glen@pld-linux.org> 5b0a060
- build fixes; rel 2

* Sun Aug 30 2009 Elan Ruusamäe <glen@pld-linux.org> 11efed9
- fix some overquoting causing shell errors

* Sun Aug 30 2009 Elan Ruusamäe <glen@pld-linux.org> 9bf7b44
- fix const check:
  checking if the second argument of pam_conv.conv() takes const pointer... yes

* Fri Feb 01 2008 Jakub Bogusz <qboosh@pld-linux.org> ab14d73
- don't try to override optflags in CFLAGS; includes should be specified in CPPFLAGS
- ac version

* Thu Jan 31 2008 darekr <darekr@pld-linux.org> e7600e8
- use mysql_config --cflags instead of -header patch (danke glen!:@)

* Thu Jan 31 2008 darekr <darekr@pld-linux.org> 0de0e17
- removed

* Thu Jan 31 2008 darekr <darekr@pld-linux.org> d0a528c
- fix build - added -header patch

* Thu Jan 31 2008 darekr <darekr@pld-linux.org> 65fdc46
- changed header's location

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b0e6765
- massive attack: source-md5

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8a66baa
- converted to UTF-8

* Thu Jun 15 2006 Elan Ruusamäe <glen@pld-linux.org> a0bd165
- working Source URL

* Thu Jun 15 2006 Elan Ruusamäe <glen@pld-linux.org> 9febb81
- massive cleaning

* Mon Mar 27 2006 Elan Ruusamäe <glen@pld-linux.org> 0d0fc19
- release 3: use new %doc.

* Sun Oct 30 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 51c9500
- correct location; rel 3

* Thu Oct 27 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> eb8c960
- release 2: pass CC="%{__cc}" to make parameters and change Group to Base.

* Tue Aug 23 2005 kosmo <kosmo@pld-linux.org> 3b0f980
- updated to 0.6.0

* Sat Feb 19 2005 ankry <ankry@pld-linux.org> 4272cae
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Thu Aug 19 2004 undefine <undefine@pld-linux.org> fa010b3
- release 3

